SET ECHO OFF
SET VERIFY OFF
SET SERVEROUTPUT ON

conn sys/manager as sysdba

SHUTDOWN IMMEDIATE; 
STARTUP MOUNT;
ALTER DATABASE NOARCHIVELOG;
ALTER SYSTEM ENABLE RESTRICTED SESSION;
ALTER DATABASE OPEN;
Alter Profile DEFAULT Limit Password_Life_Time UNLIMITED;
Alter Profile DEFAULT Limit Password_Reuse_Max UNLIMITED;
Alter Profile DEFAULT Limit Password_Reuse_Time UNLIMITED;
Alter System Set sec_case_sensitive_logon=FALSE;
ALTER DATABASE CHARACTER SET INTERNAL_USE CL8MSWIN1251;
SHUTDOWN; 
STARTUP;

conn system/manager

DROP USER "HR" CASCADE;
DROP TABLESPACE USERS;
CREATE TABLESPACE SMETA DATAFILE 'SMETA.dbf' SIZE 1024M AUTOEXTEND ON NEXT 100M;
CREATE USER "SMETA" IDENTIFIED BY "a3acs" DEFAULT TABLESPACE "SMETA" TEMPORARY TABLESPACE "TEMP" PROFILE DEFAULT ACCOUNT UNLOCK;
GRANT "CONNECT" TO "SMETA";
GRANT UNLIMITED TABLESPACE TO "SMETA";
GRANT CREATE PUBLIC SYNONYM TO "SMETA";
GRANT CREATE SESSION, CREATE VIEW, ALTER SESSION, CREATE SEQUENCE TO "SMETA";
GRANT CREATE SYNONYM, CREATE DATABASE LINK, RESOURCE TO "SMETA";
ALTER USER "SMETA" DEFAULT ROLE ALL;
ALTER USER "SMETA" QUOTA UNLIMITED ON "SMETA"; 